cmake_minimum_required(VERSION 3.9)
project(animia)
set(SRC_FILES
	src/main.cpp
)
if(LINUX)
	list(APPEND SRC_FILES src/linux.cpp)
elseif(UNIX) # this won't run on Linux
	list(APPEND SRC_FILES src/bsd.cpp)
elseif(WIN32)
	list(APPEND SRC_FILES src/win32.cpp)
endif()
add_library(animia SHARED ${SRC_FILES})
set_target_properties(animia PROPERTIES CXX_STANDARD 17)
target_include_directories(animia PRIVATE include)

install(TARGETS animia
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin)

if(BUILD_TESTS)
	project(test LANGUAGES CXX)
	add_executable(test test/main.cpp)

	target_include_directories(test PUBLIC include)
	target_link_libraries(test PUBLIC animia)
	set_target_properties(test PROPERTIES CXX_STANDARD 17)
endif()
